#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: singletons
version: 2.4.1
id: singletons-2.4.1-BkL1aRxmCSACvhCzDwzlSY
key: singletons-2.4.1-BkL1aRxmCSACvhCzDwzlSY
license: BSD-3-Clause
maintainer: Richard Eisenberg <rae@cs.brynmawr.edu>, Jan Stolarek <jan.stolarek@p.lodz.pl>
author: Richard Eisenberg <rae@cs.brynmawr.edu>, Jan Stolarek <jan.stolarek@p.lodz.pl>
stability: experimental
homepage: http://www.github.com/goldfirere/singletons
synopsis: A framework for generating singleton types
description:
    This library generates singleton types, promoted functions, and singleton
    functions using Template Haskell. It is useful for programmers who wish
    to use dependently typed programming techniques. The library was originally
    presented in /Dependently Typed Programming with Singletons/, published
    at the Haskell Symposium, 2012.
    (<https://cs.brynmawr.edu/~rae/papers/2012/singletons/paper.pdf>)
    Version 1.0 and onwards works a lot harder to promote functions. See the
    paper published at Haskell Symposium, 2014:
    <https://cs.brynmawr.edu/~rae/papers/2014/promotion/promotion.pdf>.
category: Dependent Types
abi: 85bee0abb227efcda2151cca1553eabd
exposed: True
exposed-modules:
    Data.Promotion.Prelude Data.Promotion.Prelude.Base
    Data.Promotion.Prelude.Bool Data.Promotion.Prelude.Either
    Data.Promotion.Prelude.Enum Data.Promotion.Prelude.Eq
    Data.Promotion.Prelude.Function Data.Promotion.Prelude.IsString
    Data.Promotion.Prelude.List Data.Promotion.Prelude.List.NonEmpty
    Data.Promotion.Prelude.Maybe Data.Promotion.Prelude.Num
    Data.Promotion.Prelude.Ord Data.Promotion.Prelude.Show
    Data.Promotion.Prelude.Tuple Data.Promotion.Prelude.Void
    Data.Promotion.TH Data.Singletons Data.Singletons.CustomStar
    Data.Singletons.Decide Data.Singletons.Prelude
    Data.Singletons.Prelude.Base Data.Singletons.Prelude.Bool
    Data.Singletons.Prelude.Either Data.Singletons.Prelude.Enum
    Data.Singletons.Prelude.Eq Data.Singletons.Prelude.Function
    Data.Singletons.Prelude.IsString Data.Singletons.Prelude.List
    Data.Singletons.Prelude.List.NonEmpty Data.Singletons.Prelude.Maybe
    Data.Singletons.Prelude.Num Data.Singletons.Prelude.Ord
    Data.Singletons.Prelude.Show Data.Singletons.Prelude.Tuple
    Data.Singletons.Prelude.Void Data.Singletons.ShowSing
    Data.Singletons.Sigma Data.Singletons.SuppressUnusedWarnings
    Data.Singletons.TH Data.Singletons.TypeLits
    Data.Singletons.TypeRepStar
hidden-modules: Data.Singletons.Deriving.Infer
                Data.Singletons.Deriving.Bounded Data.Singletons.Deriving.Enum
                Data.Singletons.Deriving.Ord Data.Singletons.Deriving.Show
                Data.Singletons.Internal
                Data.Singletons.Prelude.List.NonEmpty.Internal
                Data.Singletons.Promote Data.Singletons.Promote.Monad
                Data.Singletons.Promote.Eq Data.Singletons.Promote.Type
                Data.Singletons.Promote.Defun Data.Singletons.Util
                Data.Singletons.Partition Data.Singletons.Prelude.Instances
                Data.Singletons.Names Data.Singletons.Single.Monad
                Data.Singletons.Single.Type Data.Singletons.Single.Eq
                Data.Singletons.Single.Data Data.Singletons.Single.Fixity
                Data.Singletons.Single Data.Singletons.TypeLits.Internal
                Data.Singletons.Syntax
import-dirs: /usr/lib/ghc-8.4.3/site-local/singletons-2.4.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/singletons-2.4.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/singletons-2.4.1
hs-libraries: HSsingletons-2.4.1-BkL1aRxmCSACvhCzDwzlSY
depends:
    base-4.11.1.0 mtl-2.2.2 ghc-boot-th-8.4.3 template-haskell-2.13.0.0
    containers-0.5.11.0 th-desugar-1.8-HG6Toknccvx84RJuwKG8YF
    syb-0.7-2jW43lwzJV5e7EQvU8PxV text-1.2.3.0 transformers-0.5.5.0
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             ghc-boot-th-8.4.3=66767543c9a2e27aab7da1c524c61e6d
             template-haskell-2.13.0.0=ac7dfd04924d4ebfa90a119ad22a36cc
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
             th-desugar-1.8-HG6Toknccvx84RJuwKG8YF=9210909c5ea10c3b87cafbcc3cb953de
             syb-0.7-2jW43lwzJV5e7EQvU8PxV=867165047495b4e6f144c8b9b108f918
             text-1.2.3.0=9752fd647a108be49a4cb0c2a4456f2b
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
haddock-interfaces: /usr/share/doc/haskell-singletons/html/singletons.haddock
haddock-html: /usr/share/doc/haskell-singletons/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

